//
//  AGA8_ZFactor.h
//  AGA
//
//  Created by Rodrigo Carvajal on 02/Mar/13.
//  Copyright (c) 2013 Rodrigo Carvajal. All rights reserved.
//

#ifndef AGA_AGA8_ZFactor_h
#define AGA_AGA8_ZFactor_h

/*
 Information based on Compressibility Factors of Natural Gas and Other Related Hydrocarbon Gases by K.E. Starling and J.L. Savidge. Second Edition, November 1992. 2nd Printing July 1994.
 */

double  AGA8_ZFactor(const double T, const double B, const double K, const double C_star_n[],  const double u_n[],
                     const int c_n[], const int b_n[], const int k_n[], const double D, const double dBdT, const double d2BdT2, double *dZdT, double *d2ZdT2, double *dZdd);

#endif
