//
//  LGE_Viscosity.h
//  AGA
//
//  Created by Rodrigo Carvajal on 08/Jul/13.
//  Copyright (c) 2013 Rodrigo Carvajal. All rights reserved.
//

#ifndef AGA_LGE_Viscosity_h
#define AGA_LGE_Viscosity_h

// Determine Visocosity utilizing Lee, Gonzalez, and Eakin Correlation
// Lee, A., Gonzalex, M., Ekain, B. (1966), "The Viscosity of Natural Gases", SPE Paper 1340
// Jouranl of Petroleum Technology, vol, 18, p. 997-1000.

double LGE_Viscosity(double T, double Rho, double MW);

#endif
