//
//  AGA10_CpCvHS.h
//  AGA
//
//  Created by Rodrigo Carvajal on 08/Jun/13.
//  Copyright (c) 2013 Rodrigo Carvajal. All rights reserved.
//

#ifndef AGA_AGA10_CpCvHS_h
#define AGA_AGA10_CpCvHS_h

/*
 Information based on AGA Report No. 10, Speed of Sound in Natural Gas and Other Related Hydrocarbon Gases, Catalog #XQ0310, Prepared by Transmission Measurement Committee, 2003 American Gas Association.
 
 */

int AGA_RealGas(const double T, const double P, const double B, const double K, const double C_star_n[],  const double u_n[],
                const int c_n[], const int b_n[], const int k_n[], const double D, const double dBdT, const double d2BdT2,
                const double MF[], const double MW, const double Ru, double Return[]);

#endif
