//
//  AGA10_IdealGas.h
//  AGA
//
//  Created by Rodrigo Carvajal on 08/Jun/13.
//  Copyright (c) 2013 Rodrigo Carvajal. All rights reserved.
//

#ifndef AGA_AGA10_IdealGas_h
#define AGA_AGA10_IdealGas_h

/* 

 Information based on AGA Report No. 10, Speed of Sound in Natural Gas and Other Related Hydrocarbon Gases, Catalog #XQ0310, Prepared by Transmission Measurement Committee, 2003 American Gas Association.

 */

int AGA10_IdealGas(const double T, const double MF[], const double MW, const double Ru, double *Cpi, double *Hi, double *Si, double *Smixing);

#endif
